Pular para o conteúdo principal
GET
/
v1
/
contexts
/
{contextId}
/
rules
/
{ruleId}
Get a match rule
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/rules/{ruleId} \
  --header 'Authorization: Bearer <token>'
{
  "config": {},
  "contextId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "id": "019c96a0-1071-7a0d-9916-a831221de252",
  "priority": 1,
  "type": "EXACT",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

contextId
string
obrigatório

The unique identifier of the reconciliation context.

ruleId
string
obrigatório

The unique identifier of the match rule.

Resposta

Successfully retrieved match rule

Matching rule within a reconciliation context

config
object

Rule configuration

contextId
string

Context ID this rule belongs to

Exemplo:

"019c96a0-10a0-72d2-9fb0-2b7de8093182"

createdAt
string

Creation timestamp in RFC3339 format

Exemplo:

"2025-01-15T10:30:00.000Z"

id
string

Unique identifier for the rule

Exemplo:

"019c96a0-1071-7a0d-9916-a831221de252"

priority
integer

Execution priority (lower = higher priority)

Intervalo obrigatório: 1 <= x <= 1000
Exemplo:

1

type
enum<string>

Type of matching rule

Opções disponíveis:
EXACT,
TOLERANCE,
DATE_LAG
Exemplo:

"EXACT"

updatedAt
string

Last update timestamp in RFC3339 format

Exemplo:

"2025-01-15T10:30:00.000Z"